using System;
using System.Collections.Generic;
using System.Text;
using System.Web.UI;
using System.Web.UI.WebControls;
using Microsoft.SharePoint;
using Microsoft.SharePoint.WebPartPages;

namespace MultiLingualPost
{
    class FieldList : Microsoft.SharePoint.WebPartPages.ToolPart
    {
        MultiLingualPost ParentWp = null;
        Label ErrorMessage = null;
        public FieldList()
        {
            this.Title = "Language Field";
        }
        public override void ApplyChanges()
        {
            string FieldName = Page.Request.Form["LanguageField"];
            ParentWp = (MultiLingualPost)this.ParentToolPane.SelectedWebPart;
            ParentWp.LanguageField = FieldName;
        }
        protected override void CreateChildControls()
        {
            ErrorMessage = new Label();
            ErrorMessage.Style.Add(HtmlTextWriterStyle.Color, "red");
            this.Controls.Add(ErrorMessage);
        }
        /// <summary>
        ///	If the ApplyChanges method succeeds, this method is called by the tool pane 
        ///	to refresh the specified property values in the toolpart user interface.
        /// </summary>
        public override void SyncChanges()
        {
            // sync with the new property changes here
        }

        /// <summary>
        ///	Called by the tool pane if the user discards changes to the selected Web Part. 
        /// </summary>
        public override void CancelChanges()
        {
        }
        protected override void RenderToolPart(HtmlTextWriter output)
        {

            ParentWp = (MultiLingualPost)this.ParentToolPane.SelectedWebPart;
            output.Write("<select name='LanguageField'>");
            try
            {
                

                foreach (SPField ListField in SPContext.Current.Web.Lists["Posts"].Fields)
                {
                    
                        if (ParentWp.LanguageField != ListField.Title)
                        {
                            output.Write("<option>" + ListField.Title + "</option>");
                        }
                        else
                        {
                            output.Write("<option selected>" + ListField.Title + "</option>");
                        }
                    
                }

            }
            catch (Exception e)
            {
                ErrorMessage.Text = e.Message;
            }

            output.Write("</select>");
            ErrorMessage.RenderControl(output);
        }
    }
}
